Debian Bug report logs - #635112
gnat-4.6: probably miscompiled on powerpc

version graph

Package: gnat-4.6; Maintainer for gnat-4.6 is Debian GCC Maintainers <debian-gcc@lists.debian.org>; Source for gnat-4.6 is src:gnat-4.6.

Reported by: Євгеній Мещеряков <eugen@debian.org>

Date: Fri, 22 Jul 2011 19:21:01 UTC

Severity: serious

Tags: upstream

Found in version gnat-4.6/4.6.1-1

Fixed in version gnat-4.6/4.6.1-2

Done: Ludovic Brenta <lbrenta@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR49819

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635112; Package gnat-4.6. (Fri, 22 Jul 2011 19:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Євгеній Мещеряков <eugen@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Fri, 22 Jul 2011 19:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Євгеній Мещеряков <eugen@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnat-4.6: probably miscompiled on powerpc
Date: Fri, 22 Jul 2011 21:18:38 +0200
Package: gnat-4.6
Version: 4.6.1-1
Severity: important

It looks like gnat-4.6 was not compiled correctly on powerpc. spark
(in experimental) build dies with the following error message:

  gnatbind -I../lib/spark/current -I../common/versioning -E -x examiner.ali
  error: "g-trasym.adb" must be compiled
  error: ("/usr/lib/powerpc-linux-gnu/gcc/powerpc-linux-gnu/4.6.1/adalib/g-trasym.ali" is obsolete and read-only)
  gnatmake: *** bind failed.

The full build log is available here:
https://buildd.debian.org/status/fetch.php?pkg=spark&arch=powerpc&ver=2011.0.deb-1&stamp=1311361739

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=uk_UA.UTF-8, LC_CTYPE=uk_UA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnat-4.6 depends on:
ii  gcc-4.6                 4.6.1-4          GNU C compiler
ii  gnat-4.6-base           4.6.1-1          GCC, the GNU Compiler Collection (
ii  libc6                   2.13-10          Embedded GNU C Library: Shared lib
ii  libc6-dev               2.13-10          Embedded GNU C Library: Developmen
ii  libcloog-ppl0           0.15.9-3         the Chunky Loop Generator (runtime
ii  libgcc1                 1:4.6.1-4        GCC support library
ii  libgmp10                2:5.0.1+dfsg-7   Multiprecision arithmetic library
ii  libgmpxx4ldbl           2:5.0.1+dfsg-7   Multiprecision arithmetic library 
ii  libgnat-4.6             4.6.1-1          Runtime library for GNU Ada applic
ii  libgnatprj4.6           4.6.1-1          GNU Ada Project Manager
ii  libgnatvsn4.6           4.6.1-1          GNU Ada compiler version library
ii  libmpc2                 0.9-3            multiple precision complex floatin
ii  libmpfr4                3.0.1-5          multiple precision floating-point 
ii  libppl-c4               0.11.2-4         Parma Polyhedra Library (C interfa
ii  libppl9                 0.11.2-4         Parma Polyhedra Library (runtime l
ii  multiarch-support       2.13-10          Transitional package to ensure mul
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

gnat-4.6 recommends no packages.

Versions of packages gnat-4.6 suggests:
pn  ada-reference-manual          <none>     (no description available)
pn  gnat-4.6-doc                  <none>     (no description available)
pn  gnat-4.6-sjlj                 <none>     (no description available)

-- no debconf information




Severity set to 'serious' from 'important' Request was from Євгеній Мещеряков <eugen@debian.org> to control@bugs.debian.org. (Fri, 22 Jul 2011 20:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635112; Package gnat-4.6. (Fri, 22 Jul 2011 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Євгеній Мещеряков <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Fri, 22 Jul 2011 21:00:03 GMT) Full text and rfc822 format available.

Message #12 received at 635112@bugs.debian.org (full text, mbox):

From: Євгеній Мещеряков <eugen@debian.org>
To: 635112@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#635112: gnat-4.6: probably miscompiled on powerpc
Date: Fri, 22 Jul 2011 22:54:01 +0200
[Message part 1 (text/plain, inline)]
severity 635112 serious
thanks

I also noticed that gnat-4.6 on powerpc constans no g-trasym.adb, but it
is present on x86_64. Also build log for gnat-4.6 contains this:

   cp: cannot stat `rts-shared-zcx/g-trasym.adb': No such file or directory
   cp: cannot stat `rts-static-sjlj/g-trasym.adb': No such file or directory

I guess there are wrong depencencies between make targets somewhere.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635112; Package gnat-4.6. (Fri, 22 Jul 2011 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Fri, 22 Jul 2011 23:24:03 GMT) Full text and rfc822 format available.

Message #17 received at 635112@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: Євгеній Мещеряков <eugen@debian.org>
Cc: 635112@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#635112: gnat-4.6: probably miscompiled on powerpc
Date: Sat, 23 Jul 2011 01:20:36 +0200
tags 635112 upstream pending
forwarded 635112 http://gcc.gnu.org/PR49819
thanks

Євгеній Мещеряков <eugen@debian.org> writes:
> severity 635112 serious
> thanks
>
> I also noticed that gnat-4.6 on powerpc constans no g-trasym.adb, but it
> is present on x86_64. Also build log for gnat-4.6 contains this:
>
>    cp: cannot stat `rts-shared-zcx/g-trasym.adb': No such file or directory
>    cp: cannot stat `rts-static-sjlj/g-trasym.adb': No such file or directory
>
> I guess there are wrong depencencies between make targets somewhere.

Thanks, this led me to finding the problem, which is in the upstream
sources.  It is easy to correct; I'll upload a fix today or the day
after.

I've forwarded the bug as http://gcc.gnu.org/PR49819.

-- 
Ludovic Brenta.




Added tag(s) upstream and pending. Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Fri, 22 Jul 2011 23:24:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://gcc.gnu.org/PR49819'. Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Fri, 22 Jul 2011 23:24:06 GMT) Full text and rfc822 format available.

Reply sent to Ludovic Brenta <lbrenta@debian.org>:
You have taken responsibility. (Sat, 23 Jul 2011 13:36:14 GMT) Full text and rfc822 format available.

Notification sent to Євгеній Мещеряков <eugen@debian.org>:
Bug acknowledged by developer. (Sat, 23 Jul 2011 13:36:14 GMT) Full text and rfc822 format available.

Message #26 received at 635112-close@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <lbrenta@debian.org>
To: 635112-close@bugs.debian.org
Subject: Bug#635112: fixed in gnat-4.6 4.6.1-2
Date: Sat, 23 Jul 2011 13:32:37 +0000
Source: gnat-4.6
Source-Version: 4.6.1-2

We believe that the bug you reported is fixed in the latest version of
gnat-4.6, which is due to be installed in the Debian FTP archive:

gnat-4.6-base_4.6.1-2_amd64.deb
  to main/g/gnat-4.6/gnat-4.6-base_4.6.1-2_amd64.deb
gnat-4.6-sjlj_4.6.1-2_amd64.deb
  to main/g/gnat-4.6/gnat-4.6-sjlj_4.6.1-2_amd64.deb
gnat-4.6_4.6.1-2.dsc
  to main/g/gnat-4.6/gnat-4.6_4.6.1-2.dsc
gnat-4.6_4.6.1-2.tar.gz
  to main/g/gnat-4.6/gnat-4.6_4.6.1-2.tar.gz
gnat-4.6_4.6.1-2_amd64.deb
  to main/g/gnat-4.6/gnat-4.6_4.6.1-2_amd64.deb
libgnat-4.6-dbg_4.6.1-2_amd64.deb
  to main/g/gnat-4.6/libgnat-4.6-dbg_4.6.1-2_amd64.deb
libgnat-4.6_4.6.1-2_amd64.deb
  to main/g/gnat-4.6/libgnat-4.6_4.6.1-2_amd64.deb
libgnatprj4.6-dbg_4.6.1-2_amd64.deb
  to main/g/gnat-4.6/libgnatprj4.6-dbg_4.6.1-2_amd64.deb
libgnatprj4.6-dev_4.6.1-2_amd64.deb
  to main/g/gnat-4.6/libgnatprj4.6-dev_4.6.1-2_amd64.deb
libgnatprj4.6_4.6.1-2_amd64.deb
  to main/g/gnat-4.6/libgnatprj4.6_4.6.1-2_amd64.deb
libgnatvsn4.6-dbg_4.6.1-2_amd64.deb
  to main/g/gnat-4.6/libgnatvsn4.6-dbg_4.6.1-2_amd64.deb
libgnatvsn4.6-dev_4.6.1-2_amd64.deb
  to main/g/gnat-4.6/libgnatvsn4.6-dev_4.6.1-2_amd64.deb
libgnatvsn4.6_4.6.1-2_amd64.deb
  to main/g/gnat-4.6/libgnatvsn4.6_4.6.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635112@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ludovic Brenta <lbrenta@debian.org> (supplier of updated gnat-4.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 23 Jul 2011 01:32:15 +0200
Source: gnat-4.6
Binary: gnat-4.6-base gnat-4.6 gnat-4.6-sjlj libgnat-4.6 libgnat-4.6-dbg libgnatvsn4.6-dev libgnatvsn4.6 libgnatvsn4.6-dbg libgnatprj4.6-dev libgnatprj4.6 libgnatprj4.6-dbg
Architecture: source amd64
Version: 4.6.1-2
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Ludovic Brenta <lbrenta@debian.org>
Description: 
 gnat-4.6   - GNU Ada compiler
 gnat-4.6-base - GCC, the GNU Compiler Collection (gnat base package)
 gnat-4.6-sjlj - setjump/longjump run-time library for the GNU Ada compiler
 libgnat-4.6 - Runtime library for GNU Ada applications
 libgnat-4.6-dbg - Runtime library for GNU Ada applications
 libgnatprj4.6 - GNU Ada Project Manager
 libgnatprj4.6-dbg - GNU Ada Project Manager
 libgnatprj4.6-dev - GNU Ada Project Manager development files
 libgnatvsn4.6 - GNU Ada compiler version library
 libgnatvsn4.6-dbg - GNU Ada compiler version library
 libgnatvsn4.6-dev - GNU Ada compiler version library - development files
Closes: 634881 635112
Changes: 
 gnat-4.6 (4.6.1-2) unstable; urgency=low
 .
   [Aurelien Jarno]
   * debian/patches/ada-mips.diff: work around a bootstrap comparison
     failure on mips and mipsel.  Closes: #634881, pending a proper fix.
 .
   [Ludovic Brenta]
   * debian/patches/pr49819.diff: new.  Closes: #635112.
 .
   Merge from gcc-4.6 (4.6.1-4) unstable; urgency=low
 .
   * Update to SVN 20110714 (r176280) from the gcc-4_6-branch.
     - Fix PR tree-optimization/49094, PR target/39633, PR c++/49672,
       PR fortran/49698, PR fortran/49690, PR fortran/49562, PR libfortran/49296,
       PR target/49487, PR tree-optimization/49651, PR ada/48711.
 .
   [ Matthias Klose ]
   * Build Go on alpha for gcc-snapshot builds.
   * For multicore ARM, clear both caches, not just the dcache (proposed
     patch by Andrew Haley).
   * Fix for PR rtl-optimization/{48830,48808,48792}, taken from the trunk.
     LP: #807573.
   * Fix PR tree-optimization/49169, optimisations strip the Thumb/ARM mode bit
     off function pointers (Richard Sandiford). LP: #721531.
 .
   [ Marcin Juszkiewicz ]
   * Define DEB_TARGET_MULTIARCH macro.
   * debian/rules2: Macro and configuration consolidation.
 .
   Merge from gcc-4.6 (4.6.1-3) unstable; urgency=medium
 .
   * Update to SVN 20110709 (r176108) from the gcc-4_6-branch.
     - Fix PR target/49335, PR tree-optimization/49618, PR c++/49598,
       PR fortran/49479, PR target/49621, PR target/46779, PR target/49660,
       PR c/49644, PR debug/49522, PR debug/49522, PR middle-end/49640,
       PR c++/48157, PR c/49644, PR fortran/48926.
     - Apparently fixes a boost issue. Fixes: #632938.
   * Apply proposed patch for PR fortran/49690. Fixes: #631204.
 .
   * README.Debian: New section 'Former and/or inactive maintainers'.
 .
   Merge from gcc-4.6 (4.6.1-2) unstable; urgency=medium
 .
   * Update to SVN 20110705 (r175840) from the gcc-4_6-branch.
     - Fix PR target/47997, PR c++/49528, PR c++/49440, PR c++/49418,
       PR target/44643, PR tree-optimization/49615, PR tree-optimization/49572,
       PR target/34734, PR tree-optimization/49539, PR tree-optimizations/49516,
       PR target/49089, PR rtl-optimization/49014, PR target/48273,
       PR fortran/49466, PR libfortran/49296, PR libffi/46660, PR debug/49262,
       PR rtl-optimization/49472, PR rtl-optimization/49619, PR fortran/49623,
       PR fortran/49540.
 .
   [ Matthias Klose ]
   * Do not install the spu and hppa64 cross compilers into the multiarch path.
   * Update the Linaro support to 20110704.
 .
   [ Thorsten Glaser ]
   * Apply changes from src:gcc-4.4 for m68k support. Fixes: #632380.
     - debian/rules.defs: Remove m68k from locale_no_cpus.
     - debian/patches/gcc-multiarch.diff: Add m68k multiarch_mappings.
     - debian/patches/pr43804.diff: Fix backported from SVN.
     - debian/rules.patch: Add pr43804.
Checksums-Sha1: 
 b35581d8293cdc6a913ca802d0e91dd12877bcb5 2494 gnat-4.6_4.6.1-2.dsc
 d5b4d1d7d3dbdbe1f3e04e45a6b83fc5b32d667f 6539308 gnat-4.6_4.6.1-2.tar.gz
 4b647ea6fc34179931072e16475b2e7eab48cf2f 143286 gnat-4.6-base_4.6.1-2_amd64.deb
 b82db438b083848445c3f280f95b6b4a7d622c74 1187270 libgnat-4.6_4.6.1-2_amd64.deb
 d1aeedf4ba492b4e21d8e1cb270fdedd47808d37 2057232 libgnat-4.6-dbg_4.6.1-2_amd64.deb
 6b08d3dec65e4f194b010e2236e0ef31c376cef1 1808238 libgnatvsn4.6-dev_4.6.1-2_amd64.deb
 86f8be4f1de3031dbcf6cd09efe569b3649c8923 350516 libgnatvsn4.6_4.6.1-2_amd64.deb
 0c14e9936a69af05564cbba527292bed0a29a3a6 477150 libgnatvsn4.6-dbg_4.6.1-2_amd64.deb
 b5f486016ad702924a24be46ed6a594395fcf399 3055544 libgnatprj4.6-dev_4.6.1-2_amd64.deb
 1ea7b2c96100be95fbfe2e7d8810181df0b7f857 607760 libgnatprj4.6_4.6.1-2_amd64.deb
 2031e137263a5121429ed9d856292d5fdb8649f9 1036536 libgnatprj4.6-dbg_4.6.1-2_amd64.deb
 d55862f81d442f6ef22f0e404b7bea872ae06d29 11730644 gnat-4.6_4.6.1-2_amd64.deb
 524604148c1e4a892f5c4a0a8fadb550e222951e 4607066 gnat-4.6-sjlj_4.6.1-2_amd64.deb
Checksums-Sha256: 
 c6323ec946fba64225f8e151d5b5ed1f561caedf12ee19de1a577969c94af896 2494 gnat-4.6_4.6.1-2.dsc
 a6725ccb5076f6cef36e0579146ca9b5832f11a4e2c801b9a4d100a58f005b52 6539308 gnat-4.6_4.6.1-2.tar.gz
 faa78ef0bf0e5832962dd112b0b2e9f1643f3ac40670e0bb1834175ce57d32e6 143286 gnat-4.6-base_4.6.1-2_amd64.deb
 1dfea6f411bb511af28a8c314160048c3909579c7b2aae276a5256cfebada6ee 1187270 libgnat-4.6_4.6.1-2_amd64.deb
 67c4050e2974e9d49e0a4c1df6c39c32575d516698129e6fffcb4285f4d5496c 2057232 libgnat-4.6-dbg_4.6.1-2_amd64.deb
 ea7188d70f2e26bc259d6478750f163ff259fbdd9250d983388e6490f5a079cd 1808238 libgnatvsn4.6-dev_4.6.1-2_amd64.deb
 f75cbc5abc1009336cbc54921b7345da5c611758fdc624426f65a7a20687c3bb 350516 libgnatvsn4.6_4.6.1-2_amd64.deb
 b379a90760593db5201525e913f3cbda44e2b0d2937ab0e96263596d6c70cc75 477150 libgnatvsn4.6-dbg_4.6.1-2_amd64.deb
 a27698bc0a1b0926cc5d1ffc52292d36bbf9eb733c5d40bd2b9cbd48d89fd1cf 3055544 libgnatprj4.6-dev_4.6.1-2_amd64.deb
 9b2e245e0c4e5ac2b8844c1fc0f696c422118860b1f89069b89b3a07092270fe 607760 libgnatprj4.6_4.6.1-2_amd64.deb
 2aec2c7407e09c26a7243b338c7b728de570815f1864e0f9a43756529b39635f 1036536 libgnatprj4.6-dbg_4.6.1-2_amd64.deb
 5f73e4d11526675edc1a01da96c9cdcca9cd367a818ceb6c3d69bd5ad0d2b798 11730644 gnat-4.6_4.6.1-2_amd64.deb
 fe4ae560c220ac6fcd73503a37f347e5f25ddbc92187f151091110c7c94fde9d 4607066 gnat-4.6-sjlj_4.6.1-2_amd64.deb
Files: 
 e454e54f7e2546f5de510eb0eafeb667 2494 devel optional gnat-4.6_4.6.1-2.dsc
 b5770573d5db910fbfd1558bbfa0b11a 6539308 devel optional gnat-4.6_4.6.1-2.tar.gz
 270d4dde6d5cc34478cf63e2448beaae 143286 libs optional gnat-4.6-base_4.6.1-2_amd64.deb
 4cf2750d1bc8ff126f3fbd8aff818da2 1187270 libs optional libgnat-4.6_4.6.1-2_amd64.deb
 d1bdec410a52ceb258b705e19752da1a 2057232 debug extra libgnat-4.6-dbg_4.6.1-2_amd64.deb
 cf713bfb2c110671c69f2b8e43a528b2 1808238 libdevel optional libgnatvsn4.6-dev_4.6.1-2_amd64.deb
 bf8219873f069e297cc65c848bbe133b 350516 libs optional libgnatvsn4.6_4.6.1-2_amd64.deb
 0017f146d1c5d67b2bb9d647b15d1435 477150 debug extra libgnatvsn4.6-dbg_4.6.1-2_amd64.deb
 68be1753196754d690be2fdfb45663ae 3055544 libdevel optional libgnatprj4.6-dev_4.6.1-2_amd64.deb
 b03293b0050deb3b4cbf330e562b36c2 607760 libs optional libgnatprj4.6_4.6.1-2_amd64.deb
 51e2295fe893d37a2e7a9ffaa716c3b0 1036536 debug extra libgnatprj4.6-dbg_4.6.1-2_amd64.deb
 b19c933fbc3e6f99ef0ca367306338c8 11730644 devel optional gnat-4.6_4.6.1-2_amd64.deb
 ffdc03a55afe85cfb486249bea028106 4607066 devel extra gnat-4.6-sjlj_4.6.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOKsdNx9kwJZ3/qtQRAvrXAKCgYSW9EZoUJSQfD4SR3Qm4mX0pZgCeKCK+
uTy0hEp0ZDMU1gGcBE1juVc=
=jvzg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Aug 2011 07:31:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:31:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.